GWGraphInternal::Frame Struct Reference

Internal: the graphic zone of a GWGraph. More...

Inheritance diagram for GWGraphInternal::Frame:

## Public Types

enum | Type { T_BAD, T_BASIC, T_GROUP, T_PICTURE, T_TEXT, T_UNSET }
| the frame type More...

## Public Member Functions

| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...
virtual Type | getType () const
| return the frame type More...
virtual void | print (std::ostream &o) const
| a virtual print function More...

## Public Attributes

int | m_type
| the zone type More...
int | m_style
| the style identifier More...
int | m_parent
| the parent identifier More...
int | m_order
| the z order More...
long | m_dataSize
| the data size ( if know) More...
Box2f | m_box
| the zone bdbox More...
int | m_page
| the page More...
std::string | m_extra
| extra data More...
bool | m_parsed
| true if the frame is send More...

## Friends

std::ostream & | operator<< (std::ostream &o, Frame const &zone)
| operator<< More...

## Detailed Description

Internal: the graphic zone of a GWGraph.

## Member Enumeration Documentation

enum GWGraphInternal::Frame::Type

the frame type

Enumerator
T_BAD |
T_BASIC |
T_GROUP |
T_PICTURE |
T_TEXT |
T_UNSET |

## Constructor & Destructor Documentation

GWGraphInternal::Frame::Frame | ( |  | ) |

inline

constructor

virtual GWGraphInternal::Frame::~Frame | ( |  | ) |

inline virtual

destructor

## Member Function Documentation

virtual Type GWGraphInternal::Frame::getType | ( |  | ) | const

inline virtual

return the frame type

Reimplemented in GWGraphInternal::FrameText, GWGraphInternal::FramePicture, GWGraphInternal::FrameGroup, GWGraphInternal::FrameBasic, and GWGraphInternal::FrameBad.

virtual void GWGraphInternal::Frame::print | ( | std::ostream & | o | ) | const

inline virtual

a virtual print function

Reimplemented in GWGraphInternal::FrameText, GWGraphInternal::FramePicture, GWGraphInternal::FrameGroup, and GWGraphInternal::FrameBasic.

Referenced by GWGraphInternal::FrameBasic::print(), GWGraphInternal::FrameGroup::print(), GWGraphInternal::FramePicture::print(), and GWGraphInternal::FrameText::print().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Frame const & | zone
| ) |  |

friend

operator<<

## Member Data Documentation

Box2f GWGraphInternal::Frame::m_box

the zone bdbox

Referenced by GWGraphInternal::FrameBasic::getPicture(), print(), GWGraph::readFrameHeader(), and GWGraph::readPageFrames().

long GWGraphInternal::Frame::m_dataSize

the data size ( if know)

Referenced by print(), GWGraph::readFrameHeader(), and GWGraph::readPageFrames().

std::string GWGraphInternal::Frame::m_extra

extra data

Referenced by print().

int GWGraphInternal::Frame::m_order

the z order

Referenced by print(), and GWGraph::readFrameHeader().

int GWGraphInternal::Frame::m_page

the page

Referenced by print().

int GWGraphInternal::Frame::m_parent

the parent identifier

Referenced by print(), GWGraph::readFrameHeader(), and GWGraph::readPageFrames().

bool GWGraphInternal::Frame::m_parsed

mutable

true if the frame is send

int GWGraphInternal::Frame::m_style

the style identifier

Referenced by print(), GWGraph::readFrameHeader(), and GWGraph::sendBasic().

int GWGraphInternal::Frame::m_type

the zone type

Referenced by GWGraphInternal::FrameBasic::getPicture(), print(), GWGraphInternal::FrameBasic::print(), and GWGraph::readFrameHeader().

The documentation for this struct was generated from the following file:

- GWGraph.cxx